=== debian/changelog ===
indi (1.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Archive.

 -- Pino Toscano <pino@debian.org>  Mon, 17 Jan 2022 22:42:17 +0100

indi (1.9.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Nov 2021 10:01:11 +0100

indi (1.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Sep 2021 08:06:08 +0200
