=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.indilib.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/indi.git
