=== debian/changelog ===
indi (1.9.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 24 May 2022 07:44:35 +0200

indi (1.9.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * CI: disable the reprotest build path variations for now.

 -- Pino Toscano <pino@debian.org>  Sat, 21 May 2022 06:33:11 +0200
